HMACTest

Data.Digest.MD5Aux

# Documentation

md5 :: MD5 a => a -> ABCD

md5s :: MD5 a => a -> String

md5i :: MD5 a => a -> Integer

class MD5 a where

Methods

get_next :: a -> ([Word32], Int, a)

len_pad :: Zord64 -> a -> a

finished :: a -> Bool

Instances

MD5 WordList |
MD5 BoolList |
MD5 Str |

newtype ABCD

Constructors

ABCD (Word32, Word32, Word32, Word32) |

Instances

Eq ABCD |
Num ABCD |
Show ABCD |

type Zord64 = Word64

newtype Str

Constructors

Str String |

Instances

MD5 Str |

newtype BoolList

Constructors

BoolList [Bool] |

Instances

MD5 BoolList |

newtype WordList

Constructors

WordList ([Word32], Zord64) |

Instances

MD5 WordList |